sc::intMessageGrp(3)

NAME
sc::intMessageGrp -

Uses integer message types to send and receive messages.

SYNOPSIS

#include <message.h>

Inherits sc::MessageGrp.

Inherited by sc::ShmMessageGrp.

  Public Member Functions
void raw_send (int target, const void *data, int nbyte)
void raw_recv (int sender, void *data, int nbyte)
void raw_sendt (int target, int type, const void *data, int nbyte)
void raw_recvt (int type, void *data, int nbyte)
int probet (int)
Ask if a given typed message has been received.
int leftover_ctl_bits ()

  Protected Member Functions
int msgtype_typ (int msgtype)
int typ_msgtype (int usrtype)
int seq_msgtype (int source, int seq)
virtual void basic_send (int target, int type, const void *data, int nbyte)=0
Must be implemented by specializations.
virtual void basic_recv (int type, void *data, int nbyte)=0
Must be implemented by specializations.
virtual int basic_probe (int type)=0
Must be implemented by specializations.
intMessageGrp (const Ref< KeyVal > &)
void initialize (int me, int n, int nbits)

  Protected Attributes
int msgtype_nbit
int ctl_nbit
int seq_nbit
int typ_nbit
int src_nbit
int ctl_mask
int seq_mask
int typ_mask
int src_mask
int ctl_shift
int seq_shift
int typ_shift
int src_shift
int * source_seq
int * target_seq

  Additional Inherited Members

Detailed Description

Uses integer message types to send and receive messages. Message group specializations that use the MPI library and the Paragon NX can be conveniently implemented in terms of this.

Author

Generated automatically by Doxygen for MPQC from the source code.